import { Tracer } from '../connections/jsonrpc2';
export interface IExtensionHostClientConnection {
    /**
     * Sets or unsets the tracer to use for logging all of the client's messages to/from the
     * extension host.
     */
    setTracer(tracer: Tracer | null): void;
    /**
     * Closes the connection to and terminates the extension host.
     */
    unsubscribe(): void;
}
